summaryrefslogtreecommitdiffstats
path: root/debian/buildsys/2.3
diff options
context:
space:
mode:
Diffstat (limited to 'debian/buildsys/2.3')
-rw-r--r--debian/buildsys/2.3/bcfg2-server.init44
-rw-r--r--debian/buildsys/2.3/bcfg2.init37
-rw-r--r--debian/buildsys/2.3/compat1
-rw-r--r--debian/buildsys/2.3/control.in28
4 files changed, 110 insertions, 0 deletions
diff --git a/debian/buildsys/2.3/bcfg2-server.init b/debian/buildsys/2.3/bcfg2-server.init
new file mode 100644
index 000000000..8025b72cc
--- /dev/null
+++ b/debian/buildsys/2.3/bcfg2-server.init
@@ -0,0 +1,44 @@
+#!/bin/sh
+#
+# Bcfg2Server - Bcfg2 configuration daemon
+#
+# chkconfig: 2345 19 81
+# description: bcfg2 server for configuration requests
+#
+
+PIDFILE=/var/tmp/bcfg2-server.pid
+
+case "$1" in
+ start)
+ echo -n "Starting bcfg2-server: "
+ if [ -f "/etc/debian_version" ] ; then
+ /sbin/start-stop-daemon --pidfile "${PIDFILE}" --make-pidfile -b -S --startas /usr/sbin/bcfg2-server
+ else
+ /usr/sbin/bcfg2-server -D "${PIDFILE}"
+ fi
+ echo "bcfg2-server"
+ ;;
+ stop)
+ echo -n "Stopping bcfg2-server: "
+ if [ -f "/etc/debian_version" ] ; then
+ /sbin/start-stop-daemon -p "${PIDFILE}" -K /usr/sbin/bcfg2-server
+ else
+ kill -INT `cat ${PIDFILE}`
+ fi
+ echo done
+ ;;
+ restart)
+ $0 stop
+ sleep 5
+ $0 start
+ ;;
+ force-reload)
+ $0 stop
+ $0 start
+ ;;
+ *)
+ echo "Usage: bcfg2-server {start|stop|restart|force-reload}"
+ exit 1
+esac
+
+exit 0
diff --git a/debian/buildsys/2.3/bcfg2.init b/debian/buildsys/2.3/bcfg2.init
new file mode 100644
index 000000000..a184297e8
--- /dev/null
+++ b/debian/buildsys/2.3/bcfg2.init
@@ -0,0 +1,37 @@
+#!/bin/sh
+#
+# bcfg2 - bcfg2 configuration client
+#
+# chkconfig: 2345 19 81
+# description: bcfg2 client for configuration requests
+#
+BCFG2_OPTIONS="-q"
+test -f "/etc/default/bcfg2" && . /etc/default/bcfg2
+
+case "$1" in
+ start)
+ if test -e /etc/donttouchme; then
+ rm -f /etc/donttouchme
+ echo "bcfg2 does not need to run."
+ else
+ echo -n "Running bcfg: "
+ /usr/sbin/bcfg2 $BCFG2_OPTIONS
+ echo "bcfg2"
+ fi
+ ;;
+ stop)
+ /bin/true
+ ;;
+ restart)
+ $0 stop
+ $0 start
+ ;;
+ force-reload)
+ true
+ ;;
+ *)
+ echo "Usage: bcfg2 {start|stop|restart}"
+ exit 1
+esac
+
+exit 0
diff --git a/debian/buildsys/2.3/compat b/debian/buildsys/2.3/compat
new file mode 100644
index 000000000..b8626c4cf
--- /dev/null
+++ b/debian/buildsys/2.3/compat
@@ -0,0 +1 @@
+4
diff --git a/debian/buildsys/2.3/control.in b/debian/buildsys/2.3/control.in
new file mode 100644
index 000000000..cf17bddf8
--- /dev/null
+++ b/debian/buildsys/2.3/control.in
@@ -0,0 +1,28 @@
+Source: bcfg2
+Section: admin
+Priority: optional
+Maintainer: Sami Haahtinen <ressu@debian.org>
+Build-Depends: @cdbs@, python2.3-dev, python
+Standards-Version: 3.7.2.0
+
+Package: bcfg2
+Architecture: all
+Depends: ${python:Depends}, debsums, python-apt, python2.3-lxml (>= 0.8), ucf
+Description: Configuration management client
+ Bcfg2 is a configuration management system that generates configuration sets
+ for clients bound by client profiles.
+ bcfg2 is the client portion of bcfg2 system which installs configuration
+ images provided by bcfg2-server
+ .
+ Homepage: http://trac.mcs.anl.gov/projects/bcfg2/
+
+Package: bcfg2-server
+Architecture: all
+Depends: ${python:Depends}, python2.3-lxml (>= 0.8), python2.3-gamin | python2.3-fam , python2.3-pyopenssl, libxml2-utils (>= 2.6.23), gamin | fam, ucf, bcfg2 (= ${Source-Version})
+Description: Configuration management server
+ Bcfg2 is a configuration management system that generates configuration sets
+ for clients bound by client profiles.
+ bcfg2-server is the server for bcfg2 clients, which generates configuration
+ sets and stores statistics of client system states.
+ .
+ Homepage: http://trac.mcs.anl.gov/projects/bcfg2/